﻿<%@ Page Title="Connection Redirection Server Administration Page" Language="C#" AutoEventWireup="true" MasterPageFile="~/Site.Master" CodeBehind="Admin.aspx.cs" Inherits="Cisco.UnityConnection.ClientWebRedirector.Admin" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">

    <div class="jumbotron" style="text-align: left">
        Application version: <strong>
        <asp:Label ID="LabelVersion" runat="server" Font-Bold="True" ForeColor="Blue"></asp:Label>
        <br />
        </strong>
        <br />
        Logged In As: <strong>
        <asp:Label ID="LabelLoggedInUser" runat="server" Font-Bold="True" ForeColor="Blue"></asp:Label>
        <br />
        <br />
        </strong>Domain name:<strong><asp:Label ID="LabelDomainName" runat="server" Font-Bold="True" ForeColor="Blue"></asp:Label>
        <br />
        <br />
        </strong>
        Current Log File:<strong>
        <asp:Label ID="LabelLogFileLocation" runat="server" Font-Bold="True" ForeColor="Blue"></asp:Label>
        <br />
        </strong>
        <br />
        <asp:CheckBox ID="CheckBoxEnableDebug" runat="server" AutoPostBack="True" Font-Bold="False" OnCheckedChanged="CheckBoxEnableDebug_CheckedChanged" Text="Enable debug output" />
        <br />
        <asp:CheckBox ID="CheckBoxEnableSmartCacheRouting" runat="server" AutoPostBack="True" Font-Bold="False" OnCheckedChanged="CheckBoxEnableSmartCacheRouting_CheckedChanged" Text="Enable intelligent cluster routing" />
        <br />
        <asp:CheckBox ID="CheckBoxUseHostIpAddress" runat="server" AutoPostBack="True" Font-Bold="False" OnCheckedChanged="CheckBoxUseServerHostAddress_CheckedChanged" Text="Use Host IP Address Instead of FQDN" Visible="False" />
        <br />
        Time between cluster rebuilds (1 hour to 8 hours):<br />
        <asp:DropDownList ID="DropDownListClusterRebuildInterval" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListClusterRebuildInterval_SelectedIndexChanged">
            <asp:ListItem>1</asp:ListItem>
            <asp:ListItem>2</asp:ListItem>
            <asp:ListItem>3</asp:ListItem>
            <asp:ListItem>4</asp:ListItem>
            <asp:ListItem>5</asp:ListItem>
            <asp:ListItem>6</asp:ListItem>
            <asp:ListItem>7</asp:ListItem>
            <asp:ListItem Value="8"></asp:ListItem>
        </asp:DropDownList>
        <br />
        <br />
        Time between cluster member data refreshes (10 minutes to 60 minutes):<br />
        <asp:DropDownList ID="DropDownListClusterDataRefreshInterval" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownListClusterDataRefreshInterval_SelectedIndexChanged">
            <asp:ListItem>10</asp:ListItem>
            <asp:ListItem>20</asp:ListItem>
            <asp:ListItem>30</asp:ListItem>
            <asp:ListItem>40</asp:ListItem>
            <asp:ListItem>50</asp:ListItem>
            <asp:ListItem>60</asp:ListItem>
        </asp:DropDownList>
        <br />
        <br />
        <strong>
            <asp:Button ID="ButtonViewClusterInfo" runat="server" Text="View Cluster Info" Font-Bold="False" OnClick="ButtonViewClusterInfo_Click" />
        <br />
        </strong>
        <br />
        Current cached users:<strong>
            <asp:Label ID="LabelCachedUsers" runat="server" Font-Bold="True" ForeColor="Blue"></asp:Label>
            <br />
            <asp:Button ID="ButtonClearCache" runat="server" Text="Clear Cache" Font-Bold="False" OnClick="ButtonClearCache_Click" />
        &nbsp;
            <asp:Button ID="ButtonViewCache" runat="server" Text="View Cache" Font-Bold="False" OnClick="ButtonViewCache_Click" />
        <br />
        </strong>
        <br />
        Active Reference Unity Connection Servers:<strong><br />
        <asp:CheckBoxList ID="CheckBoxListServers" runat="server" AutoPostBack="True" Font-Bold="True" ForeColor="Blue" Height="16px" Width="298px">
        </asp:CheckBoxList>
        <br />
        <asp:Button ID="ButtonAddNewServer" runat="server" Font-Bold="False" OnClick="ButtonAddNewServer_Click" Text="Add New Server" />
&nbsp;
        <asp:Button ID="ButtonRemoveSelectedServer" runat="server" Font-Bold="False" OnClick="ButtonRemoveSelectedServer_Click" Text="Remove Selected" />
        <br />
        <br />
        </strong>
        <asp:Label ID="LabelServerEditResult" runat="server" style="font-weight: 700; color: #FF0000"></asp:Label>
        <br />
        <br />
        <asp:Button ID="ButtonEditSubDomainMapping" runat="server" OnClick="ButtonEditSubDomainMapping_Click" Text="Edit Mapping" Visible="False" />
    </div>

</asp:Content>
