﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Site2.Master" CodeBehind="Default.aspx.cs" Inherits="Cisco.UnityConnection.ClientWebRedirector.Test.DefaultLogin" %>

<asp:content id="BodyContent" contentplaceholderid="MainContent2" runat="server">

<!DOCTYPE html>

<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>Sign In</title>
    <link rel="Stylesheet" href="/Content/jquery-ui-1.8.custom.css" />
    <link rel="Stylesheet" href="/Content/shared.css" />
    <link rel="stylesheet" href="/Content/uc.css" />
</head>
<script type="text/javascript">  
    window.onload = window.history.forward(0);
</script>
<body>
    <div id="body">

        <div id="header">
            <div id="cisco-logo">
                <img src="/Content/cisco_logo.png" alt="Cisco" title="Cisco Logo" />
            </div>
            <div id="headingText">
                <h2 id="uc-productFamilyName">Cisco Unity Connection</h2>
                <h1 id="appName" runat="server">Web Inbox</h1>
            </div>
            <div id="relatedLinks">
                <ul class="struct" tabindex="2"></ul>
            </div>
            <div class="clear"></div>
        </div>
        <!--[if lt IE 7]>
        <p class="warn iewarn">You are using an unsupported version of IE.</p>
        <![endif]-->
        <div id="loginArea" class='ui-corner-all'>
            <div class="trans-wrap ui-corner-all"></div>
            <h3>Sign In</h3>
            <form runat="server">
            <div class="form-row">
                    <label for="username">Username:</label>
                    <input type="text" name="j_username" id="username" runat="server" class="ui-corner-all" maxlength="64" />
                </div>
                <div class="form-row">
                    <label for="password">Password:</label>
                    <input type="password" name="j_password" runat="server" id="password" maxlength="80" />
                </div>

                <div id="loginActions">
                    <table align="right">
                    <tr>
                        <td>
                        <asp:Button ID="ButtonLogin" Width="65" runat="server" OnClick="Login_Click" Text="Sign In " OnClientClick="this.disabled = true;" UseSubmitBehavior="false" />
                        </td>
                        <td>
                        <asp:Button ID="ButtonReset" Width="65" runat="server" OnClick="Reset_Click" Text="Reset "/>
                        </td>
                    </tr>
                        </table>
                </div>
                <div id="results" align="center">
                    <asp:Label ID="labelResults" runat="server" Font-Bold="True" ForeColor="White" BackColor="Red"></asp:Label>
                </div>
            </form>
        </div>
    </div>
    <script src="/Scripts/jquery.js"></script>
    <script src="/Scripts/jquery-ui-1.8.custom.min.js"></script>
    <script src="/Scripts/login.js"></script>
</body>
    
</html>
    </asp:content>
